Bug 1417631 - Review Request: mingw-libftdi - MinGW library to program and control the FTDI USB controller
Summary: Review Request: mingw-libftdi - MinGW library to program and control the FTDI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1417628
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 13:21 UTC by Thomas Sailer
Modified: 2017-10-16 17:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-11 14:47:11 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Thomas Sailer 2017-01-30 13:21:11 UTC
Spec URL: https://sailer.fedorapeople.org/mingw-libftdi.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-libftdi-1.3-1.fc25.src.rpm
Description: MinGW library to program and control the FTDI USB controller
Fedora Account System Username: sailer

Comment 2 Robert-André Mauchin 🐧 2017-10-05 14:24:31 UTC
Hello,

  - As before, list of things not needed in Fedora:

    + Group:          System Environment/Libraries
    + BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
    + rm -rf $RPM_BUILD_ROOT
    + %clean
    + %defattr(-,root,root,-)

 - You need to include the various license files in %license:

%license LICENSE COPYING.LIB COPYING.GPL

 - The License: field should reflect the licenses included, that is, the C++ wrapper "ftdipp1" is distributed under the GNU General Public License version 2 and the C library "libftdi1" is distributed under the GNU Library General Public License version 2:

License: GPLv2 and LGPLv2

 - %doc should probably include:

%doc AUTHORS ChangeLog README

 - You should probably not include the full documentation at all, which comes at a hefty 12MB. See https://fedoraproject.org/wiki/Packaging:MinGW#Files_which_are_already_part_of_native_packages

Comment 3 Thomas Sailer 2017-10-06 15:40:15 UTC
Merci Robert-André!

I should have addressed all of your concerns in this update:

Spec URL: https://sailer.fedorapeople.org/mingw-libftdi.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-libftdi-1.3-2.fc26.src.rpm
copr build: https://copr.fedorainfracloud.org/coprs/sailer/mingw/build/618089/

Comment 4 Robert-André Mauchin 🐧 2017-10-06 16:17:08 UTC
In the license tag, you've written twice LGPLv2' instead of:

License: GPLv2 and LGPLv2

Comment 5 Thomas Sailer 2017-10-06 16:36:44 UTC
Thanks for spotting this

Spec URL: https://sailer.fedorapeople.org/mingw-libftdi.spec
SRPM URL: https://sailer.fedorapeople.org/mingw-libftdi-1.3-3.fc26.src.rpm

Comment 6 Robert-André Mauchin 🐧 2017-10-06 16:53:46 UTC
Ok, package accepted.

Comment 7 Gwyn Ciesla 2017-10-06 17:19:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-libftdi

Comment 8 Fedora Update System 2017-10-06 22:45:10 UTC
mingw-libftdi-1.3-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d10ac2855e

Comment 9 Fedora Update System 2017-10-06 22:45:18 UTC
mingw-libftdi-1.3-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0a3aec644

Comment 10 Fedora Update System 2017-10-08 04:23:37 UTC
mingw-libftdi-1.3-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0a3aec644

Comment 11 Fedora Update System 2017-10-08 06:24:19 UTC
mingw-libftdi-1.3-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d10ac2855e

Comment 12 Fedora Update System 2017-10-11 14:47:11 UTC
mingw-libftdi-1.3-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-10-16 17:54:00 UTC
mingw-libftdi-1.3-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.